book:
  title: "Age of Peace"
  author: "John Gu"
  language: "en"
  identifier: "urn:book:ageofpeace:johngu"
  description: "Age of Peace: a novel"

output:
  path: "AgeOfPeace.epub"
  cover_image: "age_of_peace_cover.jpg"

defaults:
  metadata:
    author: "John Gu"
  fetch_images: true
  normalize_substack_embeds: true
  processing:
    include_author: false
    include_date: false
    include_source_url: false

sections:
  - id: "part-0"
    title: "Prelude"
    entries:
      - "intro"
  - id: "part-1"
    title: "Overture"
    entries:
      - "contested_island"
  - id: "part-2"
    title: "The High Castle"
    entries:
      - "vira"
      - "madelyna"
      - "biridana"
  - id: "part-3"
    title: "Nameless Country"
    entries:
      - "in_the_east"
      - "finale"
      

entries:
  intro:
    source:
      kind: "html"
      path: "introduction.html"
  contested_island:
    source:
      kind: "substack"
      url: "https://ageofpeace.substack.com/p/a-contested-island"
    toc:
      title: "A Contested Island"
    processing:
      skip_first_paragraphs: 1
  vira:
    source:
      kind: "substack"
      url: "https://ageofpeace.substack.com/p/vira"
    toc:
      title: "Vira"
  madelyna:
    source:
      kind: "substack"
      url: "https://ageofpeace.substack.com/p/madelyna"
    toc:
      title: "Madelỳna"
  biridana:
    source:
      kind: "substack"
      url: "https://ageofpeace.substack.com/p/biridana"
    toc:
      title: "Biridana"
  in_the_east:
    source:
      kind: "substack"
      url: "https://ageofpeace.substack.com/p/in-the-east"
    toc:
      title: "In the East"
  finale:
    source:
      kind: "substack"
      url: "https://ageofpeace.substack.com/p/age-of-peace"
    toc:
      title: "Finale"
    processing:
      skip_first_paragraphs: 1

      

link_rules:
  mode: "auto"
